<?php

function presspen_blog_customizer_sections( $wp_customize ) {
	
	/**
	 * Add sections
	 */
     $wp_customize->add_section( 'blog_customizer', array(
 		'title'       => __( 'Slider Settings', 'presspen' ),
 		'priority'    => 12,
 		'panel'       => 'presspen_customizer',
 	) );

    

}
add_action( 'customize_register', 'presspen_blog_customizer_sections' );

function presspen_blog_customizer_fields( $fields ) {
	$fields[] = array(
		'type'        => 'select',
		'settings'    => 'select_cat',
		'label'       => __( 'Slider Category', 'presspen' ),
		'description' => __( 'Select your category', 'presspen' ),
		'section'     => 'blog_customizer',
		'multiple'    => 999,
		'default'     => 0,
		'priority'    => 10,
		'choices'     => Kirki_Helper::get_terms( 'category' ),
    );
	
   $fields[] = array(
		'type'        => 'number',
		'settings'    => 'slider_blog_number',
		'label'       => esc_html__( 'Slider to show', 'presspen' ),
		'section'     => 'blog_customizer',
		'default'     => 5,
		'choices'     => [
			'min'  => 0,
			'max'  => 20,
			'step' => 1,
		],
    ); 
	$fields[] = array(
		'type'        => 'select',
		'settings'    => 'order_setting',
		'label'       => esc_html__( 'Order', 'presspen' ),
		'section'     => 'blog_customizer',
		'default'     => 'DESC',
		'placeholder' => esc_html__( 'Select an option...', 'presspen' ),
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => [
			'DESC' => esc_html__( 'DESC', 'presspen' ),
			'ASC' => esc_html__( 'ASC', 'presspen' ),
		],
    );
	$fields[] = array(
		'type'        => 'select',
		'settings'    => 'order_by_setting',
		'label'       => esc_html__( 'Order by', 'presspen' ),
		'section'     => 'blog_customizer',
		'default'     => 'date',
		'placeholder' => esc_html__( 'Select an option...', 'presspen' ),
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => [
			'date' => esc_html__( 'date', 'presspen' ),
			'ID' => esc_html__( 'ID', 'presspen' ),
			'author' => esc_html__( 'author', 'presspen' ),
			'title' => esc_html__( 'title', 'presspen' ),
			'name' => esc_html__( 'name', 'presspen' ),
			'rand' => esc_html__( 'rand', 'presspen' ),
		],
    );
	 $fields[] = array(
        'type'        => 'color',
        'settings'    => 'presspen_slide_color',
        'label'       => __( 'Slider Background', 'presspen' ),
        'section'     => 'blog_customizer',
        'priority'    => 10,
		'transport'   => 'refresh',
		'output' => array(
				array(
					'element'  => '.slick-nav, .blog-slider figure:hover .slide-wrapper .slide-text',
					'property' => 'background',
				),
		),
    );
	
    return $fields;
}
add_filter( 'kirki/fields', 'presspen_blog_customizer_fields' );

?>