<?php

function presspen_customizer_sections( $wp_customize ) {
	/**
	 * Add panels
	 */
	$wp_customize->add_panel( 'presspen_customizer', array(
		'priority'    => 10,
		'title'       => __( 'PressPen Options', 'presspen' ),
	) );

	/**
	 * Add sections
	 */
     $wp_customize->add_section( 'header_background', array(
 		'title'       => __( 'Social Settings', 'presspen' ),
 		'priority'    => 10,
 		'panel'       => 'presspen_customizer',
 	) );
	$wp_customize->add_section( 'social_color_setting', array(
 		'title'       => __( 'Social Color Settings', 'presspen' ),
 		'priority'    => 11,
 		'panel'       => 'presspen_customizer',
 	) );

    

}
add_action( 'customize_register', 'presspen_customizer_sections' );

function presspen_customizer_fields( $fields ) {

   $fields[] = array(
        'type'        => 'url',
        'settings'    => 'facebook',
        'label'       => __( 'Facebook URL', 'presspen' ),
        'section'     => 'header_background',
        'priority'    => 10,
    ); 
	$fields[] = array(
        'type'        => 'url',
        'settings'    => 'twitter',
        'label'       => __( 'Twitter', 'presspen' ),
        'section'     => 'header_background',
        'priority'    => 10,
    );
	$fields[] = array(
        'type'        => 'url',
        'settings'    => 'linkedin',
        'label'       => __( 'Linkedin', 'presspen' ),
        'section'     => 'header_background',
        'priority'    => 10,
    );
	$fields[] = array(
        'type'        => 'url',
        'settings'    => 'pinterest',
        'label'       => __( 'Pinterest', 'presspen' ),
        'section'     => 'header_background',
        'priority'    => 10,
    ); 
	$fields[] = array(
        'type'        => 'url',
        'settings'    => 'instagram',
        'label'       => __( 'Instagram', 'presspen' ),
        'section'     => 'header_background',
        'priority'    => 10,
    ); 
	$fields[] = array(
        'type'        => 'url',
        'settings'    => 'email',
        'label'       => __( 'Email', 'presspen' ),
        'section'     => 'header_background',
        'priority'    => 10,
    );
	$fields[] = array(
        'type'        => 'color',
        'settings'    => 'social_color',
        'label'       => __( 'Social Color', 'presspen' ),
        'section'     => 'social_color_setting',
        'priority'    => 11,
		'default'     => '#888',
		'transport'   => 'postMessage',
		'output' => array(
				array(
					'element'  => '.fa.social',
					'property' => 'color',
				),
		),
    );
	$fields[] = array(
        'type'        => 'dimension',
		'settings'    => 'social_font_size',
		'label'       => esc_html__( 'Font Size', 'presspen' ),
		'description' => esc_html__( 'Use any font size with size and unit (eg. 36px).', 'presspen' ),
		'section'     => 'social_color_setting',
		'default'     => '36px',
		'output' => array(
				array(
					'element'  => '.fa.social',
					'property' => 'font-size',
				),
		),
    );
	
    return $fields;

}
add_filter( 'kirki/fields', 'presspen_customizer_fields' );

?>